<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_join_cols&lt; M1, M2 &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__join__cols.html">op_join_cols</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__join__cols-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_join_cols&lt; M1, M2 &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1op__join__cols_1_1type__selector.html">type_selector</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1op__join__cols_1_1type__selector_3_01_t_00_01_u_00_01false_01_4.html">type_selector&lt; T, U, false &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1op__join__cols_1_1type__selector_3_01_t_00_01_u_00_01true_01_4.html">type_selector&lt; T, U, true &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4eb7529aab45e2059f9fa2549a379804"><td class="memItemLeft" align="right" valign="top"><a id="a4eb7529aab45e2059f9fa2549a379804"></a>
typedef M1::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>T1</b></td></tr>
<tr class="separator:a4eb7529aab45e2059f9fa2549a379804"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e6330592e0cfb270f8370c090aa4883"><td class="memItemLeft" align="right" valign="top"><a id="a1e6330592e0cfb270f8370c090aa4883"></a>
typedef M1::type&#160;</td><td class="memItemRight" valign="bottom"><b>T2</b></td></tr>
<tr class="separator:a1e6330592e0cfb270f8370c090aa4883"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d2f28161dd636ee53895d47140f918b"><td class="memItemLeft" align="right" valign="top"><a id="a1d2f28161dd636ee53895d47140f918b"></a>
typedef M2::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>T3</b></td></tr>
<tr class="separator:a1d2f28161dd636ee53895d47140f918b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a467e08358b2b2458f62fadc861b2843b"><td class="memItemLeft" align="right" valign="top"><a id="a467e08358b2b2458f62fadc861b2843b"></a>
typedef <a class="el" href="structdlib_1_1op__join__cols_1_1type__selector.html">type_selector</a>&lt; T1, T2, <a class="el" href="structdlib_1_1is__reference__type.html">is_reference_type</a>&lt; T1 &gt;::value &amp;&amp;<a class="el" href="structdlib_1_1is__reference__type.html">is_reference_type</a>&lt; T3 &gt;::value &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a467e08358b2b2458f62fadc861b2843b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6491a0d1c1180d95e762fa76d63d315"><td class="memItemLeft" align="right" valign="top"><a id="ab6491a0d1c1180d95e762fa76d63d315"></a>
typedef M1::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:ab6491a0d1c1180d95e762fa76d63d315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a066dd0e607eca812a7e3eb729ef51999"><td class="memItemLeft" align="right" valign="top"><a id="a066dd0e607eca812a7e3eb729ef51999"></a>
typedef M1::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a066dd0e607eca812a7e3eb729ef51999"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9eb8f50be7828d6751c4f8a4da49659"><td class="memItemLeft" align="right" valign="top"><a id="ac9eb8f50be7828d6751c4f8a4da49659"></a>
typedef M1::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:ac9eb8f50be7828d6751c4f8a4da49659"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0fc7e8a5cfd57470ffa56e85ef291e08"><td class="memItemLeft" align="right" valign="top"><a id="a0fc7e8a5cfd57470ffa56e85ef291e08"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_join_cols</b> (const M1 &amp;m1_, const M2 &amp;m2_)</td></tr>
<tr class="separator:a0fc7e8a5cfd57470ffa56e85ef291e08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104a9788b64eb4d780676f6232643e5b"><td class="memItemLeft" align="right" valign="top"><a id="a104a9788b64eb4d780676f6232643e5b"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:a104a9788b64eb4d780676f6232643e5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abb28260f13ca22bcafbeae6a12bcaf"><td class="memItemLeft" align="right" valign="top"><a id="a8abb28260f13ca22bcafbeae6a12bcaf"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a8abb28260f13ca22bcafbeae6a12bcaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab295df4a210adbc7c251d860214c3203"><td class="memItemLeft" align="right" valign="top"><a id="ab295df4a210adbc7c251d860214c3203"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:ab295df4a210adbc7c251d860214c3203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f3fc615bfc1b3fb958d8776aa12ca80"><td class="memTemplParams" colspan="2"><a id="a9f3fc615bfc1b3fb958d8776aa12ca80"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a9f3fc615bfc1b3fb958d8776aa12ca80"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a9f3fc615bfc1b3fb958d8776aa12ca80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0023bc97503a44f10126e366bb736c34"><td class="memTemplParams" colspan="2"><a id="a0023bc97503a44f10126e366bb736c34"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a0023bc97503a44f10126e366bb736c34"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a0023bc97503a44f10126e366bb736c34"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af1dc4089c749067d34866148c23c0215"><td class="memItemLeft" align="right" valign="top"><a id="af1dc4089c749067d34866148c23c0215"></a>
const M1 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m1</b></td></tr>
<tr class="separator:af1dc4089c749067d34866148c23c0215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0e012c71aad2a669732199a0d9075a4"><td class="memItemLeft" align="right" valign="top"><a id="ae0e012c71aad2a669732199a0d9075a4"></a>
const M2 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m2</b></td></tr>
<tr class="separator:ae0e012c71aad2a669732199a0d9075a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a56bddb7b795718f35bb17eea6a902aad"><td class="memItemLeft" align="right" valign="top"><a id="a56bddb7b795718f35bb17eea6a902aad"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M1::cost + M2::cost + 1</td></tr>
<tr class="separator:a56bddb7b795718f35bb17eea6a902aad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59524a2b007e40ff4375540a66bf0c01"><td class="memItemLeft" align="right" valign="top"><a id="a59524a2b007e40ff4375540a66bf0c01"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = <a class="el" href="structdlib_1_1tmax.html">tmax</a>&lt;M1::NC, M2::NC&gt;::value</td></tr>
<tr class="separator:a59524a2b007e40ff4375540a66bf0c01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d49367c7e8e39ae4d828b20da18c142"><td class="memItemLeft" align="right" valign="top"><a id="a6d49367c7e8e39ae4d828b20da18c142"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = (M1::NR*M2::NR != 0)? (M1::NR+M2::NR) : (0)</td></tr>
<tr class="separator:a6d49367c7e8e39ae4d828b20da18c142"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__utilities_8h_source.html">matrix_utilities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
